--[[
The Icarus Project, Copyright (c) 2005 John Forsythe <chaosmachine@gmail.com> (aka chaosmachine)
Feel free to learn and borrow from this code for non-commercial purposes.
If you use my code in your project, I'd appreciate a credit in your readme file.
]]

-- set up the border

border.x = 10
border.y = 5

border[1] = {x=2,y=0} border[2] = {x=3,y=0} border[3] = {x=4,y=0} border[4] = {x=5,y=0} 
border[5] = {x=6,y=0} border[6] = {x=7,y=0} border[7] = {x=8,y=0} border[8] = {x=9,y=0} 
border[9] = {x=1,y=1} border[10] = {x=2,y=1} border[11] = {x=9,y=1} border[12] = {x=0,y=2} 
border[13] = {x=1,y=2} border[14] = {x=9,y=2} border[15] = {x=0,y=3} border[16] = {x=9,y=3} 
border[17] = {x=0,y=4} border[18] = {x=8,y=4} border[19] = {x=9,y=4} border[20] = {x=0,y=5} 
border[21] = {x=7,y=5} border[22] = {x=8,y=5} border[23] = {x=0,y=6} border[24] = {x=1,y=6} 
border[25] = {x=2,y=6} border[26] = {x=3,y=6} border[27] = {x=4,y=6} border[28] = {x=5,y=6} 
border[29] = {x=6,y=6} border[30] = {x=7,y=6} 


-- set up the goal area

goal[1] = {x=3,y=1} goal[2] = {x=4,y=1} goal[3] = {x=5,y=1} goal[4] = {x=6,y=1} 
goal[5] = {x=7,y=1} goal[6] = {x=8,y=1} goal[7] = {x=2,y=2} goal[8] = {x=3,y=2} 
goal[9] = {x=4,y=2} goal[10] = {x=5,y=2} goal[11] = {x=6,y=2} goal[12] = {x=7,y=2} 
goal[13] = {x=8,y=2} goal[14] = {x=1,y=3} goal[15] = {x=2,y=3} goal[16] = {x=3,y=3} 
goal[17] = {x=4,y=3} goal[18] = {x=5,y=3} goal[19] = {x=6,y=3} goal[20] = {x=7,y=3} 
goal[21] = {x=8,y=3} goal[22] = {x=1,y=4} goal[23] = {x=2,y=4} goal[24] = {x=3,y=4} 
goal[25] = {x=4,y=4} goal[26] = {x=5,y=4} goal[27] = {x=6,y=4} goal[28] = {x=7,y=4} 
goal[29] = {x=1,y=5} goal[30] = {x=2,y=5} goal[31] = {x=3,y=5} goal[32] = {x=4,y=5} 
goal[33] = {x=5,y=5} goal[34] = {x=6,y=5} 


-- set up the pieces

i=1
piece[i] = {}

piece[i][1] = {x=5,y=3}
piece[i][2] = {x=4,y=3}
piece[i][3] = {x=3,y=3}
piece[i][4] = {x=2,y=3}
piece[i][5] = {x=1,y=3}

piece[i].x = 8
piece[i].y = 1
piece[i].style = 3

i=2
piece[i] = {}

piece[i][1] = {x=3,y=2}
piece[i][2] = {x=2,y=3}
piece[i][3] = {x=3,y=3}
piece[i][4] = {x=4,y=3}
piece[i][5] = {x=3,y=4}

piece[i].x = 14
piece[i].y = 0
piece[i].style = 1

i=3
piece[i] = {}

piece[i][1] = {x=2,y=3}
piece[i][2] = {x=3,y=3}
piece[i][3] = {x=2,y=4}
piece[i][4] = {x=4,y=3}
piece[i][5] = {x=5,y=3}

piece[i].x = 18
piece[i].y = 3
piece[i].style = 0

i=4
piece[i] = {}

piece[i][1] = {x=2,y=4}
piece[i][2] = {x=3,y=4}
piece[i][3] = {x=2,y=3}
piece[i][4] = {x=3,y=3}
piece[i][5] = {x=4,y=3}

piece[i].x = 5
piece[i].y = 5
piece[i].style = 0

i=5
piece[i] = {}

piece[i][1] = {x=2,y=2}
piece[i][2] = {x=2,y=3}
piece[i][3] = {x=3,y=3}
piece[i][4] = {x=4,y=3}
piece[i][5] = {x=4,y=4}

piece[i].x = 17
piece[i].y = 8
piece[i].style = 3

i=6
piece[i] = {}

piece[i][1] = {x=1,y=3}
piece[i][2] = {x=2,y=3}
piece[i][3] = {x=3,y=3}
piece[i][4] = {x=3,y=2}
piece[i][5] = {x=4,y=2}

piece[i].x = 7
piece[i].y = 10
piece[i].style = 2

i=7
piece[i] = {}

piece[i][1] = {x=2,y=2}
piece[i][2] = {x=3,y=2}
piece[i][3] = {x=2,y=3}
piece[i][4] = {x=3,y=3}

piece[i].x = 13
piece[i].y = 10
piece[i].style = 1
